Bug 1573076 - [abrt] gnome-control-center: gtk_style_context_clear_property_cache(): gnome-control-center killed by SIGSEGV
Summary: [abrt] gnome-control-center: gtk_style_context_clear_property_cache(): gnome-...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-control-center
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pete Walter
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:b5f03a11237eb6129284f67d585...
: 1573886 1579073 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-30 06:42 UTC by Florian Alber
Modified: 2019-05-28 20:20 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 20:20:28 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (47.49 KB, text/plain)
2018-04-30 06:42 UTC, Florian Alber
no flags Details
File: cgroup (331 bytes, text/plain)
2018-04-30 06:42 UTC, Florian Alber
no flags Details
File: core_backtrace (20.52 KB, text/plain)
2018-04-30 06:42 UTC, Florian Alber
no flags Details
File: cpuinfo (1.39 KB, text/plain)
2018-04-30 06:42 UTC, Florian Alber
no flags Details
File: dso_list (28.30 KB, text/plain)
2018-04-30 06:42 UTC, Florian Alber
no flags Details
File: environ (4.29 KB, text/plain)
2018-04-30 06:42 UTC, Florian Alber
no flags Details
File: exploitable (82 bytes, text/plain)
2018-04-30 06:42 UTC, Florian Alber
no flags Details
File: limits (1.29 KB, text/plain)
2018-04-30 06:42 UTC, Florian Alber
no flags Details
File: maps (128.27 KB, text/plain)
2018-04-30 06:42 UTC, Florian Alber
no flags Details
File: mountinfo (3.97 KB, text/plain)
2018-04-30 06:42 UTC, Florian Alber
no flags Details
File: open_fds (1.83 KB, text/plain)
2018-04-30 06:42 UTC, Florian Alber
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2018-04-30 06:43 UTC, Florian Alber
no flags Details

Description Florian Alber 2018-04-30 06:42:37 UTC
Version-Release number of selected component:
gnome-control-center-3.28.1-2.fc28

Additional info:
reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        gnome-control-center --overview
crash_function: gtk_style_context_clear_property_cache
executable:     /usr/bin/gnome-control-center
journald_cursor: s=1b6dcbba0b804a498326410df564bb35;i=206ebb;b=64256690dab742ad87e738ae0074b3bf;m=3fd55171;t=56b021a02bbf5;x=2e348fbdfe286d5
kernel:         4.16.3-300.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gtk_style_context_clear_property_cache at gtkstylecontext.c:276
 #1 gtk_css_widget_node_update_style at gtkcsswidgetnode.c:82
 #2 gtk_css_node_ensure_style at gtkcssnode.c:1007
 #4 gtk_css_node_validate_internal at gtkcssnode.c:1384
 #9 gtk_container_idle_sizer at gtkcontainer.c:2053
 #14 _gdk_frame_clock_emit_layout at gdkframeclock.c:634
 #15 gdk_frame_clock_paint_idle at gdkframeclockidle.c:437
 #21 g_main_context_iteration at gmain.c:3964
 #22 g_application_run at gapplication.c:2470
 #25 _start

Comment 1 Florian Alber 2018-04-30 06:42:43 UTC
Created attachment 1428674 [details]
File: backtrace

Comment 2 Florian Alber 2018-04-30 06:42:44 UTC
Created attachment 1428675 [details]
File: cgroup

Comment 3 Florian Alber 2018-04-30 06:42:46 UTC
Created attachment 1428676 [details]
File: core_backtrace

Comment 4 Florian Alber 2018-04-30 06:42:47 UTC
Created attachment 1428677 [details]
File: cpuinfo

Comment 5 Florian Alber 2018-04-30 06:42:49 UTC
Created attachment 1428678 [details]
File: dso_list

Comment 6 Florian Alber 2018-04-30 06:42:51 UTC
Created attachment 1428679 [details]
File: environ

Comment 7 Florian Alber 2018-04-30 06:42:52 UTC
Created attachment 1428680 [details]
File: exploitable

Comment 8 Florian Alber 2018-04-30 06:42:54 UTC
Created attachment 1428681 [details]
File: limits

Comment 9 Florian Alber 2018-04-30 06:42:56 UTC
Created attachment 1428682 [details]
File: maps

Comment 10 Florian Alber 2018-04-30 06:42:58 UTC
Created attachment 1428683 [details]
File: mountinfo

Comment 11 Florian Alber 2018-04-30 06:42:59 UTC
Created attachment 1428684 [details]
File: open_fds

Comment 12 Florian Alber 2018-04-30 06:43:00 UTC
Created attachment 1428685 [details]
File: proc_pid_status

Comment 13 kongdeyuan 2018-05-02 12:47:44 UTC
*** Bug 1573886 has been marked as a duplicate of this bug. ***

Comment 14 Dim 2018-05-04 07:14:16 UTC
Similar problem has been detected:

Drag the window to the top

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        gnome-control-center --overview
crash_function: gtk_style_context_clear_property_cache
executable:     /usr/bin/gnome-control-center
journald_cursor: s=d978be5afc0a4662b419a539e00f9312;i=2967bc;b=c9d7928df9fd486b8840a7b289d9e8cc;m=e669a29ed;t=56b5be1c8ab5f;x=89ea6a30556e32a4
kernel:         4.16.5-300.fc28.x86_64
package:        gnome-control-center-3.28.1-2.fc28
reason:         gnome-control-center killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            88822203

Comment 15 crunchy 2018-05-10 09:55:51 UTC
Similar problem has been detected:

I just opened the contxt menu on the desktop and selected the menu entry for changing the background

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        gnome-control-center background
crash_function: gtk_style_context_clear_property_cache
executable:     /usr/bin/gnome-control-center
journald_cursor: s=0f4183943cf64418b872bfe6f0c8d3fb;i=22c32;b=45d7efae232a47d4957bd2a3fc505e13;m=4b80cb6421;t=56bd6e42e18e9;x=a3bdb5aa750468f1
kernel:         4.16.5-300.fc28.x86_64
package:        gnome-control-center-3.28.1-2.fc28
reason:         gnome-control-center killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 16 Christian Kellner 2018-05-10 23:27:15 UTC
Similar problem has been detected:

Clicked on "WiFi Settings" in the gnome-shell indicator menu.

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        gnome-control-center wifi
crash_function: gtk_style_context_clear_property_cache
executable:     /usr/bin/gnome-control-center
journald_cursor: s=8b8c516ff15144ed9f31a0b0e817a907;i=41615;b=a5ae6530e48847509c87fb515342e6fd;m=37612e8a4;t=56bda25e839f7;x=5eb529377e41fd6b
kernel:         4.17.0-0.rc4.git1.2.fc29.x86_64
package:        gnome-control-center-3.28.1-2.fc28
reason:         gnome-control-center killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 17 Jan Vlug 2018-05-11 19:47:47 UTC
Similar problem has been detected:

changing background to one that changes throughout the day.

reporter:       libreport-2.9.5
backtrace_rating: 3
cmdline:        gnome-control-center background
crash_function: gtk_style_context_clear_property_cache
executable:     /usr/bin/gnome-control-center
journald_cursor: s=f56860415b3e49dab3a2d6abc9d696e6;i=138d6f;b=9b25a4757a8e46deb5c4b9a08c2b4797;m=42c45cf45;t=56bf35a1cad47;x=b5bd560b43d45861
kernel:         4.16.7-300.fc28.x86_64
package:        gnome-control-center-3.28.1-2.fc28
reason:         gnome-control-center killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 18 Vasilis Keramidas 2018-05-15 20:18:12 UTC
Similar problem has been detected:

I tried to open the settings menu

reporter:       libreport-2.9.5
backtrace_rating: 3
cmdline:        gnome-control-center --overview
crash_function: gtk_style_context_clear_property_cache
executable:     /usr/bin/gnome-control-center
journald_cursor: s=b2d8ed9122aa4ca787f7c1fb1aa42624;i=1400;b=83271b5577d64baeb2452ad07f667204;m=40251b47;t=56c41cd6f2471;x=b8ba8f8fc05a6b59
kernel:         4.16.7-300.fc28.x86_64
package:        gnome-control-center-3.28.1-2.fc28
reason:         gnome-control-center killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 19 joarmeji 2018-05-16 23:06:32 UTC
*** Bug 1579073 has been marked as a duplicate of this bug. ***

Comment 20 Manuel Quarneti 2018-05-20 15:59:15 UTC
Similar problem has been detected:

I clicked on the control center icon, and it didn't open. Fedora warned me that the application crashed. This problem didn't occur again.

reporter:       libreport-2.9.4
backtrace_rating: 4
cmdline:        gnome-control-center --overview
crash_function: gtk_style_context_clear_property_cache
executable:     /usr/bin/gnome-control-center
journald_cursor: s=c2cbf3932ed9446f85516c20c528de02;i=1328;b=6aa53b9be4a6475fb42f02421bd6121a;m=c19a8c2;t=56ca5135767b8;x=8e17bef8f187b8ca
kernel:         4.16.3-301.fc28.x86_64
package:        gnome-control-center-3.28.1-2.fc28
reason:         gnome-control-center killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 21 Christian Stadelmann 2018-05-21 21:06:56 UTC
Similar problem has been detected:

The first time I started gnome-control-center after installing the libgnomekbd update and rebooting, it crashed on start.

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        gnome-control-center --overview
crash_function: gtk_style_context_clear_property_cache
executable:     /usr/bin/gnome-control-center
journald_cursor: s=34b5a6753f314851b59b1e4aacf15076;i=705d3;b=7957826698044c8cb84fd25dd52317ea;m=25447e10;t=56cbda02816f1;x=7d5fdbd1604a8aa2
kernel:         4.16.9-300.fc28.x86_64
package:        gnome-control-center-3.28.1-2.fc28
reason:         gnome-control-center killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp

Comment 22 Ben Cotton 2019-05-02 21:43:30 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 23 Ben Cotton 2019-05-28 20:20:28 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.